gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.MountOperationHandlerIface_

Contents

- Exported types
- Methods
- Properties
  - parentIface

Description

Virtual table for the D-Bus interface <link linkend="gdbus-interface-org-Gtk-MountOperationHandler.top_of_page">org.Gtk.MountOperationHandler</link>.

Synopsis

- newtype MountOperationHandlerIface_ = MountOperationHandlerIface_ (ManagedPtr MountOperationHandlerIface_)
- newZeroMountOperationHandlerIface_ :: MonadIO m => m MountOperationHandlerIface_
- getMountOperationHandlerIface_ParentIface :: MonadIO m => MountOperationHandlerIface_ -> m TypeInterface

# Exported types

newtype MountOperationHandlerIface_ Source #

Memory-managed wrapper type.

Constructors

MountOperationHandlerIface_ (ManagedPtr MountOperationHandlerIface_) |

#### Instances

Instances details

Eq MountOperationHandlerIface_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerIface_ Methods (==) :: MountOperationHandlerIface_ -> MountOperationHandlerIface_ -> Bool Source # (/=) :: MountOperationHandlerIface_ -> MountOperationHandlerIface_ -> Bool Source #
BoxedPtr MountOperationHandlerIface_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerIface_ Methods boxedPtrCopy :: MountOperationHandlerIface_ -> IO MountOperationHandlerIface_ Source # boxedPtrFree :: MountOperationHandlerIface_ -> IO () Source #
CallocPtr MountOperationHandlerIface_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerIface_ Methods boxedPtrCalloc :: IO (Ptr MountOperationHandlerIface_) Source #
ManagedPtrNewtype MountOperationHandlerIface_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerIface_ Methods toManagedPtr :: MountOperationHandlerIface_ -> ManagedPtr MountOperationHandlerIface_ Source #
tag ~ 'AttrSet => Constructible MountOperationHandlerIface_ tag Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerIface_ Methods new :: MonadIO m => (ManagedPtr MountOperationHandlerIface_ -> MountOperationHandlerIface_) -> [AttrOp MountOperationHandlerIface_ tag] -> m MountOperationHandlerIface_ Source #

newZeroMountOperationHandlerIface_ :: MonadIO m => m MountOperationHandlerIface_ Source #

Construct a `MountOperationHandlerIface_` struct initialized to zero.

# Methods

# Properties

## parentIface

The parent interface.

getMountOperationHandlerIface_ParentIface :: MonadIO m => MountOperationHandlerIface_ -> m TypeInterface Source #

Get the value of the “`parent_iface`” field. When overloading is enabled, this is equivalent to

    get mountOperationHandlerIface_ #parentIface